NXP NFC Reader Library v4.040.05.011646

Data Fields
phNfcLib_I18000p3m3 Struct Reference

Defines parameters that needs be provided by User to communicate with ISO 18000p3m3 card. More...

## Data Fields
phNfcLib_I18000_Commands_t | bCommand
| [In] ISO-IEC 18000-p3m3 command needs to be provided. More...
uint8_t | bOption
| [In] Options that can provided for Write, Kill and Access. More...
uint8_t | bMemBank
| [In] Memory bank being addressed. More...
uint8_t | bReadLock
| [In] Indicates if BlockPermaLock should read (bit 0) or lock (bit 1) the block. More...
uint8_t * | pWordPtr
| [In] Pointer to starting address for Read. More...
uint8_t | bWordPtrLength
| [In] Should indicate length of pWordPtr provided by User. More...
uint8_t | bWordCount
| [In] Number of 16-bit words to be Read or BlockWrite. More...
uint8_t * | pPassword
| [In] Pointer to 4 bytes of password used by Kill and Access command to put the Tag into killed or secured state respectively. More...
uint8_t | bRecom
| [In] Recommission Option - 3 bit significant, Option 0x04 is mandatory implementation rest is optional . More...
uint8_t * | pMask
| [In] Mask specifies which memory blocks a tag PermaLocks. More...
uint8_t * | pAction
| [In] Action specifies teh action to be perfomed for Lock on the given Mask. More...
uint8_t * | pBlockPtr
| [In] Pointer to starting address for BlockPermaLock. More...
uint8_t | bBlockPtrLength
| [In] Should indicate length of pBlockPtr provided by User. More...
uint8_t | bBlockRange
| [In] Specifies range of Mask, starting at BlockPtr and ending (16�BlockRange)�1 blocks later to starting address for BlockPermaLock. More...
uint8_t * | pHandle
| [In] Pointer to the 2 byte handle of the tag. More...
uint8_t * | pUii
| [In] Pointer to the UII Mem bank of the tag, could be at max 58 bytes data . More...
uint8_t | wUiiMaskLength
| [In] Length of the UII Membank data received . More...
uint8_t * | pBuffer
| [In] Pointer to 16bit or multiple of 16bit data that needs to be written on Tag. More...

## Detailed Description

Defines parameters that needs be provided by User to communicate with ISO 18000p3m3 card.

## Field Documentation

## § bCommand

phNfcLib_I18000_Commands_t phNfcLib_I18000p3m3::bCommand

[In] ISO-IEC 18000-p3m3 command needs to be provided.

## § bOption

uint8_t phNfcLib_I18000p3m3::bOption

[In] Options that can provided for Write, Kill and Access.

Refer nfc_lib_18000p3m3_options Options

## § bMemBank

uint8_t phNfcLib_I18000p3m3::bMemBank

[In] Memory bank being addressed.

Valid memory bank are 0, 1, 2 and 3.

## § bReadLock

uint8_t phNfcLib_I18000p3m3::bReadLock

[In] Indicates if BlockPermaLock should read (bit 0) or lock (bit 1) the block.

## § pWordPtr

uint8_t* phNfcLib_I18000p3m3::pWordPtr

[In] Pointer to starting address for Read.

Shall be of 8, 16, 24, 32 bit length.

## § bWordPtrLength

uint8_t phNfcLib_I18000p3m3::bWordPtrLength

[In] Should indicate length of pWordPtr provided by User.

Valid values are 0, 1, 2 and 3.

## § bWordCount

uint8_t phNfcLib_I18000p3m3::bWordCount

[In] Number of 16-bit words to be Read or BlockWrite.

## § pPassword

uint8_t* phNfcLib_I18000p3m3::pPassword

[In] Pointer to 4 bytes of password used by Kill and Access command to put the Tag into killed or secured state respectively.

## § bRecom

uint8_t phNfcLib_I18000p3m3::bRecom

[In] Recommission Option - 3 bit significant, Option 0x04 is mandatory implementation rest is optional .

## § pMask

uint8_t* phNfcLib_I18000p3m3::pMask

[In] Mask specifies which memory blocks a tag PermaLocks.

## § pAction

uint8_t* phNfcLib_I18000p3m3::pAction

[In] Action specifies teh action to be perfomed for Lock on the given Mask.

## § pBlockPtr

uint8_t* phNfcLib_I18000p3m3::pBlockPtr

[In] Pointer to starting address for BlockPermaLock.

Shall be of 8, 16, 24, 32 bit length.

## § bBlockPtrLength

uint8_t phNfcLib_I18000p3m3::bBlockPtrLength

[In] Should indicate length of pBlockPtr provided by User.

Valid values are 0, 1, 2 and 3.

## § bBlockRange

uint8_t phNfcLib_I18000p3m3::bBlockRange

[In] Specifies range of Mask, starting at BlockPtr and ending (16�BlockRange)�1 blocks later to starting address for BlockPermaLock.

If 0x00 then tag ignore the BlockPermalock command.

## § pHandle

uint8_t* phNfcLib_I18000p3m3::pHandle

[In] Pointer to the 2 byte handle of the tag.

## § pUii

uint8_t* phNfcLib_I18000p3m3::pUii

[In] Pointer to the UII Mem bank of the tag, could be at max 58 bytes data .

## § wUiiMaskLength

uint8_t phNfcLib_I18000p3m3::wUiiMaskLength

[In] Length of the UII Membank data received .

## § pBuffer

uint8_t* phNfcLib_I18000p3m3::pBuffer

[In] Pointer to 16bit or multiple of 16bit data that needs to be written on Tag.

The documentation for this struct was generated from the following file:

- phNfcLib.h